> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/platform/guides/installation-guide/infrastructure-setup/aws/2.-setup-aws-account.md).

# 2. Setup AWS Account

## Overview

Follow the details below to set up your AWS account before you proceed with the DIGIT deployment.

### **Get AWS Access**

<details>

<summary><strong>Public Users</strong></summary>

* Sign up for the AWS account if you do not already have one. Use this link to [get started](https://aws.amazon.com/getting-started/)
* Assign Administrator Access to the IAM user for necessary permissions.
* Use the [**AWS IAM User**](https://docs.aws.amazon.com/IAM/latest/UserGuide/id_users_create.html) **credentials provided** for the Terraform ([**Infra-as-code**](/platform/guides/installation-guide/infrastructure-setup/azure/3.-infra-as-code-terraform.md)) to connect with your AWS account and provision the cloud resources.
* The system will generate a **Secret Access Key** and **Access Key ID**. **Save the keys.**
* Open the terminal. Run the following command you have installed on the AWS CLI and use the credentials. (Provide the credentials and leave the region and output format blank).

**Note: Make sure the profile name provided in the commands below is also used in the Terraform scripts same as the AWS profile.**

```
aws configure --profile digit-quickstart-poc 

AWS Access Key ID []:<Your access key>
AWS Secret Access Key []:<Your secret key>
Default region name []: ap-south-1
Default output format []: text
```

```
// Setting profile
export AWS_PROFILE=digit-quickstart-poc
```

* The above will create the following file in your machine under the user home directory. /path/to/user/home/.aws/credentials

```
[digit-quickstart-poc] 
aws_access_key_id=*********** 
aws_secret_access_key=*************************
```

</details>

Once the command line access is configured, everything is set to proceed with the Terraform to provision the DIGIT Infra-as-code.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digit.org/platform/guides/installation-guide/infrastructure-setup/aws/2.-setup-aws-account.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
